View Issue Details

IDProjectCategoryView StatusLast Update
0007173GNUnetotherpublic2022-02-26 23:10
Reportermd Assigned ToChristian Grothoff  
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionGit master 
Target Version0.16.0Fixed in Version0.16.0 
Summary0007173: Namespacing violation: struct ChallengeNonceP (gnunet_crypto_lib.h)?
DescriptionThis structure is defined in a public include header (gnunet_crypto_lib.h), so I believe it should have been named 'GNUNET_CRYPTO_ChallengeNonceP' or 'GNUNET_ChallengeNonceP' for namespacing reasons.
TagsNo tags attached.

Activities

schanzen

2022-02-05 22:34

manager   ~0018684

You are correct. Assigned.

Christian Grothoff

2022-02-21 00:11

manager   ~0018707

Fix committed to master branch.

Christian Grothoff

2022-02-21 00:11

manager   ~0018708

Fixed in 3bda89642..7bc5bb42a

schanzen

2022-02-26 23:10

manager   ~0018738

0.16.0 released

Related Changesets

gnunet: master 7bc5bb42

2022-02-21 00:11:28

Christian Grothoff

Details Diff
fix 0007173 Affected Issues
0007173
mod - src/include/gnunet_crypto_lib.h Diff File
mod - src/transport/gnunet-communicator-tcp.c Diff File
mod - src/transport/gnunet-service-tng.c Diff File

Issue History

Date Modified Username Field Change
2022-02-04 21:41 md New Issue
2022-02-05 22:34 schanzen Assigned To => t3sserakt
2022-02-05 22:34 schanzen Status new => confirmed
2022-02-05 22:34 schanzen Note Added: 0018684
2022-02-21 00:11 Christian Grothoff Changeset attached => gnunet master 7bc5bb42
2022-02-21 00:11 Christian Grothoff Note Added: 0018707
2022-02-21 00:11 Christian Grothoff Assigned To t3sserakt => Christian Grothoff
2022-02-21 00:11 Christian Grothoff Status confirmed => resolved
2022-02-21 00:11 Christian Grothoff Resolution open => fixed
2022-02-21 00:11 Christian Grothoff Fixed in Version => 0.16.0
2022-02-21 00:11 Christian Grothoff Note Added: 0018708
2022-02-21 00:11 Christian Grothoff Target Version => 0.16.0
2022-02-26 23:10 schanzen Note Added: 0018738
2022-02-26 23:10 schanzen Status resolved => closed